commoble.exmachina.data

## Class DefinedCircuitComponent

- java.lang.Object
- - commoble.exmachina.data.DefinedCircuitComponent

All Implemented Interfaces:
  commoble.exmachina.api.CircuitComponent

    public class DefinedCircuitComponent
    extends java.lang.Object
    implements commoble.exmachina.api.CircuitComponent

### Field Summary

Fields
`commoble.exmachina.api.Connector` `connector`
`java.util.Optional<commoble.exmachina.api.DynamicProperty>` `dynamicLoad`
`java.util.Optional<commoble.exmachina.api.DynamicProperty>` `dynamicSource`
`static java.util.Set<net.minecraft.util.math.BlockPos>` `NO_CONNECTIONS`
`static commoble.exmachina.api.Connector` `NO_CONNECTOR`
`static commoble.exmachina.api.ConnectorFactory` `NO_CONNECTOR_FACTORY`
`static commoble.exmachina.api.StaticProperty` `STATIC_NOOP`
`commoble.exmachina.api.StaticProperty` `staticLoad`
`commoble.exmachina.api.StaticProperty` `staticSource`

### Constructor Summary

Constructors
Constructor and Description
`DefinedCircuitComponent(RawCircuitElement raw, net.minecraft.block.Block block, CircuitBehaviourRegistry registry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`commoble.exmachina.api.Connector` `getConnector()`
`double` `getLoad(net.minecraft.world.IWorld world, net.minecraft.block.BlockState state, net.minecraft.util.math.BlockPos pos)`
`double` `getSource(net.minecraft.world.IWorld world, net.minecraft.block.BlockState state, net.minecraft.util.math.BlockPos pos)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_CONNECTIONS

    public static final java.util.Set<net.minecraft.util.math.BlockPos> NO_CONNECTIONS

#### NO_CONNECTOR

    public static final commoble.exmachina.api.Connector NO_CONNECTOR

#### NO_CONNECTOR_FACTORY

    public static final commoble.exmachina.api.ConnectorFactory NO_CONNECTOR_FACTORY

#### STATIC_NOOP

    public static final commoble.exmachina.api.StaticProperty STATIC_NOOP

#### connector

    @Nonnull
    public final commoble.exmachina.api.Connector connector

#### staticSource

    @Nonnull
    public final commoble.exmachina.api.StaticProperty staticSource

#### dynamicSource

    @Nonnull
    public final java.util.Optional<commoble.exmachina.api.DynamicProperty> dynamicSource

#### staticLoad

    @Nonnull
    public final commoble.exmachina.api.StaticProperty staticLoad

#### dynamicLoad

    @Nonnull
    public final java.util.Optional<commoble.exmachina.api.DynamicProperty> dynamicLoad

### Constructor Detail

#### DefinedCircuitComponent

    public DefinedCircuitComponent(@Nonnull
                                   RawCircuitElement raw,
                                   @Nonnull
                                   net.minecraft.block.Block block,
                                   @Nonnull
                                   CircuitBehaviourRegistry registry)

### Method Detail

#### getLoad

    public double getLoad(net.minecraft.world.IWorld world,
                          net.minecraft.block.BlockState state,
                          net.minecraft.util.math.BlockPos pos)

Specified by:
  `getLoad` in interface `commoble.exmachina.api.CircuitComponent`

#### getSource

    public double getSource(net.minecraft.world.IWorld world,
                            net.minecraft.block.BlockState state,
                            net.minecraft.util.math.BlockPos pos)

Specified by:
  `getSource` in interface `commoble.exmachina.api.CircuitComponent`

#### getConnector

    @Nonnull
    public commoble.exmachina.api.Connector getConnector()

Specified by:
  `getConnector` in interface `commoble.exmachina.api.CircuitComponent`